Name:          openimageio
Version:       2.5.18.0
Release:       1mamba
Summary:       Libraries and tools for VFX studios and developers of tools such as renderers, compositors, viewers
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/AcademySoftwareFoundation/OpenImageIO
Source:        https://github.com/AcademySoftwareFoundation/OpenImageIO.git/v%{version}/OpenImageIO-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6OpenGL
BuildRequires: libQt6Widgets
BuildRequires: libavcodec-devel
BuildRequires: libavformat-devel
BuildRequires: libavutil-devel
BuildRequires: libboost-devel
BuildRequires: libbzip2-devel
BuildRequires: libdcmtk-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgif-devel
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libheif-devel
BuildRequires: libimath-devel
BuildRequires: libjpeg-turbo
BuildRequires: libnsl-devel
BuildRequires: libopencolorio-devel
BuildRequires: libopencv-devel
BuildRequires: libopenexr-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libopenssl-devel
BuildRequires: libopenvdb-devel
BuildRequires: libpng-devel
BuildRequires: libpython311-devel
BuildRequires: libraw-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswscale-devel
BuildRequires: libtbb-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libwrap-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: pugixml-devel
## AUTOBUILDREQ-END
BuildRequires: libopencv-devel >= 4.11.0-1mamba
BuildRequires: libopencolorio-devel >= 1:2.4.1
BuildRequires: libopenvdb-devel >= 12.0.0
BuildRequires: libdcmtk-devel >= 3.6.8
BuildRequires: python-pybind11-devel
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-tools
Obsoletes:     %{name}-tools < 2.5.16.0

%description
The primary target audience for OIIO is VFX studios and developers of tools such as renderers, compositors, viewers, and other image-related software you'd find in a production pipeline.
This package contains tools provided by OpenImageIO.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for OpenImageIO
Obsoletes:     ttf-openimageio < 2.3.12.0

%description -n lib%{name}
The primary target audience for OIIO is VFX studios and developers of tools such as renderers, compositors, viewers, and other image-related software you'd find in a production pipeline.
This package contains shared libraries for OpenImageIO.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for OpenImageIO
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n libopenimageio-devel
This package contains libraries and header files for developing applications that use OpenImageIO.

%package -n python-OpenImageIO
Group:         System/Libraries/Python
Summary:       OpenImageIO tools
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-OpenImageIO
The primary target audience for OIIO is VFX studios and developers of tools such as renderers, compositors, viewers, and other image-related software you'd find in a production pipeline.
This package contains the Python bindings to OpenImageIO.

%prep
%setup -q -n OpenImageIO-%{version}

%build
%cmake -d build \
   -DCMAKE_CXX_STANDARD=17 \
   -DCMAKE_SKIP_RPATH:BOOL=TRUE \
   -DPYTHON_VERSION=%{python3_version} \
   -DBUILD_DOCS:BOOL=TRUE \
   -DOIIO_BUILD_TESTS:BOOL=FALSE \
   -DINSTALL_DOCS:BOOL=FALSE \
   -DINSTALL_FONTS:BOOL=FALSE \
   -DUSE_EXTERNAL_PUGIXML:BOOL=TRUE \
   -DSTOP_ON_WARNING:BOOL=FALSE \
   -DJPEG_INCLUDE_DIR=%{_includedir} \
   -DOPENJPEG_INCLUDE_DIR=$(pkgconf --variable=includedir libopenjp2) \
   -DOpenGL_GL_PREFERENCE=GLVND \
   -DVERBOSE=TRUE

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/iconvert
%{_bindir}/idiff
%{_bindir}/igrep
%{_bindir}/iinfo
%{_bindir}/iv
%{_bindir}/maketx
%{_bindir}/oiiotool
%{_bindir}/testtex

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libOpenImageIO.so.*
%{_libdir}/libOpenImageIO_Util.so.*
%doc LICENSE.md

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/OpenImageIO
%{_includedir}/OpenImageIO/*.h
%dir %{_includedir}/OpenImageIO/detail
%{_includedir}/OpenImageIO/detail/*.h
%dir %{_includedir}/OpenImageIO/detail/fmt
%{_includedir}/OpenImageIO/detail/fmt/*.h
%{_libdir}/libOpenImageIO.so
%{_libdir}/libOpenImageIO_Util.so
%{_libdir}/pkgconfig/OpenImageIO.pc
%dir %{_libdir}/cmake/OpenImageIO
%{_libdir}/cmake/OpenImageIO/OpenImageIO*.cmake
%doc README.md

%files -n python-OpenImageIO
%defattr(-,root,root)
%dir %{python3_sitearch}/OpenImageIO
%{python3_sitearch}/OpenImageIO/OpenImageIO.cpython-*.so
%{python3_sitearch}/OpenImageIO/__init__.py

%changelog
* Wed Feb 12 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.18.0-1mamba
- update to 2.5.18.0

* Sun Jan 05 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.17.0-2mamba
- rebuilt with libopenvdb 12.0.0

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 2.5.17.0-1mamba
- automatic version update by autodist

* Sun Oct 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.16.0-1mamba
- update to 2.5.16.0
- source renamed from oiio to openimageio
- libopenimageio-devel: require openimageio

* Wed Feb 28 2024 Automatic Build System <autodist@mambasoft.it> 2.5.6.0-3mamba
- rebuilt by autoport with build requirements: libopencv-devel>=4.9.0-1mamba

* Mon Feb 05 2024 Automatic Build System <autodist@mambasoft.it> 2.5.6.0-2mamba
- rebuilt by autoport with build requirements: libopencolorio-devel>=2.3.2-1mamba

* Sun Feb 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.6.0-1mamba
- update to 2.5.6.0

* Sun May 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.12.0-2mamba
- rebuilt by autoport with build requirements: libopencv-devel>=4.5.5-1mamba

* Wed Feb 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.12.0-1mamba
- update to 2.3.12.0

* Wed Feb 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.20.0-1mamba
- update to 2.2.20.0

* Thu Jun 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.15.1-1mamba
- update to 2.2.15.1

* Mon Mar 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.11.2-2mamba
- openimageio-tools: fix requirement for libopenimageio

* Sun Mar 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.11.2-1mamba
- package created using the webbuild interface
